package com.mc.monkeynes.hardware.mapper;

import com.mc.monkeynes.hardware.*;

public class MemoryMapperFactory
{
  private NesMainMemory  mainMem = null;
  private NesVideoMemory vidMem  = null;
  private NesRom         rom     = null;
  
  public MemoryMapperFactory( NesMainMemory inMainMem, NesVideoMemory inVidMem, NesRom inRom )
  {
    mainMem = inMainMem;
    vidMem  = inVidMem;
    rom     = inRom;
  }
  
  public MemoryMapper getMapper( int inMapperId )
  {
    switch( inMapperId )
    {
      case 0:
        return new MemoryMapperZero( mainMem, vidMem, rom );
      default:
        System.out.println( "Unsupported Mapper" );
        return null;  
    }    
  }
}